/**
 * @author Andrea Ferracani
 */


window.onload = function() {
	
	

  imgId = document.getElementById("idImmagine");
  imgId.style.top = "80px";
  imgId.style.left = "80px";
  
  document.onmousedown = calcolaCoordinate;
  document.onmouseup = stopDrag;
  
};


function stopDrag() {
	document.onmousemove = null;
}



function calcolaCoordinate(e) {
	if (e == null) {
		e = window.event;
	}

	// e.srcElement contiene il target in IE, mentre e.target lo tiene in target

	var cliccato = ( typeof (window.event ) != "undefined" ) ? e.srcElement : e.target;

	if (cliccato.id == "idImmagine") {
		mouseover = true;
		pleft = parseInt(cliccato.style.left);
		ptop = parseInt(cliccato.style.top);
		
		// posizione iniziale in cui ho cliccato
		xcoor = e.clientX;
		ycoor = e.clientY;
		document.onmousemove = muoviImmagine;
		return false;
	}
	return false;
	
	

	function muoviImmagine(e) {
		if (e == null) {
			e = window.event;
		}
		// posizione attuale del mouse - posizione iniziale da cui ho iniziato il dragging
		cliccato.style.left = pleft + e.clientX - xcoor + "px";
		cliccato.style.top = ptop + e.clientY - ycoor + "px";
		//return false;
	}
	
	

	
}




